Subject: Re: [PATCH v2 5/5] ci: add support for GitLab CI

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Nov 2023 12:33:45 +0900

Jeff King <[email-masked]> writes:

> So it's possible that avoiding "export var=val" is mostly superstition,

Thanks for digging up the old thread.  I would not be surprised if
it was already superstition back in the days.

>   2. We won't really know if there is a odd-ball shell that rejects it
>      unless we make a change and wait for a while to see if anybody
>      screams. The existing ones in ci/ show that it is not a problem for
>      the platforms where we run CI, but I suspect the scripts in t/ see
>      a wider audience.

We could start with a single weather balloon use in t/ somewhere to
see if anybody screams.  It would be a good place to start if we
want to get rid of this particular superstition.